
gppar0 =  min2=-20000. max2=20000. label2='amplitude' label1='t(s)'  legend=1 legendtitle=' '   title=' ' legendpos=6.6,2.5 titlesz=16 labelsz=11 legendsz=10 plotfat=6 titlefat=8 labelfat=8 legendfat=6 legend=0

gppar0b =  min2=-80000. max2=80000. label2='amplitude' label1='t(s)'  legend=1 legendtitle=' '   title=' ' legendpos=6.6,2.5 titlesz=16 labelsz=11 legendsz=10 plotfat=6 titlefat=8 labelfat=8 legendfat=6 legend=0

gppar1 =  min2=-1. max2=1.0  label2='amplitude' label1='z(m)'  legend=1 legendtitle=' '   title=' ' legendpos=6.6,2.5 titlesz=16 labelsz=10 legendsz=10 plotfat=6 titlefat=8 labelfat=8 legendfat=6

viewall2: Fig/compare-salt.v Fig/compare-salt-spiky.v Fig/compare-sedi.v Fig/compare-sedi-spiky.v
	tube  Fig/compare-salt.v Fig/compare-salt-spiky.v Fig/compare-sedi-spiky.v &

Fig/Vrefl1D.v: Input/refl1D.H
	Scale < Input/refl1D.H scale_to=1. | Graph min2=-1. max2=1.0  label2='amplitude' label1='z(m)' plotcol=5 dash=2 plotfat=12 out=Fig/Vrefl1D.v title=' ' wantaxis=0 legend=1  curvelabel='model'  >/dev/null legendpos=6.6,1.5 legendtitle=' ' titlesz=16 labelsz=10 legendsz=10 plotfat=6 titlefat=8 labelfat=8 legendfat=6


#######################################################################################################################
#  Figure 0: Input data
#######################################################################################################################
Fig/inputdata.v: Data/syndataspikynoise.H Data/syndataSP.H Data/syndata-sedi.H Data/syndataspikynoise-sedi.H
	< Data/syndata-sedi.H  Graph ${gppar0} wantaxis1=0 out=Fig/Vtmp1.v title='(a) Synthetic Data with sediment vel' >/dev/null
	< Data/syndataspikynoise-sedi.H  Graph ${gppar0b} wantaxis1=0 out=Fig/Vtmp2.v title='(b) Synthetic Data with sediment vel and spikes' >/dev/null
	< Data/syndataSP.H  Graph ${gppar0} wantaxis1=0 out=Fig/Vtmp3.v title='(c) Synthetic Data with salt vel' >/dev/null
	< Data/syndataspikynoise.H  Graph ${gppar0b} wantaxis1=1 out=Fig/Vtmp4.v title='(d) Synthetic Data with salt vel and spikes' >/dev/null		 
	vp_OverUnderAniso  Fig/Vtmp1.v Fig/Vtmp2.v Fig/Vtmp3.v Fig/Vtmp4.v > $@ 	

#######################################################################################################################
#  Figure 1: Sediment Velocity, clean data
#######################################################################################################################

Fig/compare-sedi.v:  Fig/Vrefl1D.v rtm/l2-rtm-sedi.H rtm/l2-inv-iter200-sedi.H rtm/hy-inv-iter200-sedi.H
	< rtm/l2-rtm-sedi.H Scale scale_to=1. | Graph ${gppar1} wantaxis1=0 out=Fig/Vtmp1.v curvelabel='RTM  ' title='(a)' >/dev/null
	< rtm/l2-inv-iter200-sedi.H Scale scale_to=1. | Graph ${gppar1} wantaxis1=0 out=Fig/Vtmp2.v curvelabel='L2   ' title='(b)' >/dev/null
	< rtm/hy-inv-iter200-sedi.H  Scale scale_to=1. | Graph  ${gppar1} out=Fig/Vtmp3.v curvelabel='HPF  ' title='(c)' >/dev/null	
	vp_Overlay Fig/Vrefl1D.v Fig/Vtmp1.v> Fig/Vtop.v 
	vp_Overlay Fig/Vrefl1D.v Fig/Vtmp2.v> Fig/Vmid.v 
	vp_Overlay Fig/Vrefl1D.v Fig/Vtmp3.v> Fig/Vbot.v 
	vp_OverUnderAniso  Fig/Vtop.v Fig/Vmid.v Fig/Vbot.v > $@
#	rm -f Vtop.v Vmid.v Vbot.v Fig/Vtmp*v	

#######################################################################################################################
#  Figure 2: Sediment Velocity, Spiky noise
#######################################################################################################################

Fig/compare-sedi-spiky.v:  Fig/Vrefl1D.v rtm/l2-rtm-sedi-spiky.H rtm/l2-inv-iter200-sedi-spiky.H rtm/hy-inv-iter200-sedi-spiky-sparse.H
	< rtm/l2-rtm-sedi-spiky.H Scale scale_to=1. | Graph ${gppar1} wantaxis1=0 out=Fig/Vtmp1.v curvelabel='RTM  ' title='(a)'  >/dev/null
	< rtm/l2-inv-iter200-sedi-spiky.H Scale scale_to=1. | Graph ${gppar1} wantaxis1=0 out=Fig/Vtmp2.v curvelabel='L2   ' title='(b)' >/dev/null
	< rtm/hy-inv-iter200-sedi-spiky-sparse.H  Scale scale_to=1. | Graph  ${gppar1}  wantaxis1=1 out=Fig/Vtmp3.v curvelabel='HPF  '  title='(c)' >/dev/null	
	vp_Overlay Fig/Vrefl1D.v Fig/Vtmp1.v> Fig/Vtop.v 
	vp_Overlay Fig/Vrefl1D.v Fig/Vtmp2.v> Fig/Vmid.v 
	vp_Overlay Fig/Vrefl1D.v Fig/Vtmp3.v> Fig/Vbot.v 
	vp_OverUnderAniso  Fig/Vtop.v Fig/Vmid.v Fig/Vbot.v > $@
	rm -f Vtop.v Vmid.v Vbot.v Fig/Vtmp*v

#######################################################################################################################
#  Figure 3: Salt velocity, clean data
#######################################################################################################################

Fig/compare-salt.v: Fig/Vrefl1D.v rtm/l2-rtm-salt.H rtm/l2-inv-iter200-salt.H rtm/hy-inv-iter200-salt.H
	< rtm/l2-rtm-salt.H Scale scale_to=1. | Graph ${gppar1} out=Fig/Vtmp1.v wantaxis1=0 curvelabel='RTM  ' title='(a)' >/dev/null
	< rtm/l2-inv-iter200-salt.H Scale scale_to=1. | Graph ${gppar1} out=Fig/Vtmp2.v wantaxis1=0 curvelabel='L2   ' title='(b)' >/dev/null
	< rtm/hy-inv-iter200-salt.H Scale scale_to=1. | Graph  ${gppar1}  out=Fig/Vtmp3.v curvelabel='HPF  ' title='(c)' >/dev/null	
	vp_Overlay Fig/Vrefl1D.v Fig/Vtmp1.v> Fig/Vtop.v 
	vp_Overlay Fig/Vrefl1D.v Fig/Vtmp2.v> Fig/Vmid.v 
	vp_Overlay Fig/Vrefl1D.v Fig/Vtmp3.v> Fig/Vbot.v 
	vp_OverUnderAniso  Fig/Vtop.v Fig/Vmid.v Fig/Vbot.v > $@
	rm -f Vtop.v Vmid.v Vbot.v Fig/Vtmp*v

#######################################################################################################################
#  Figure 4: Salt velocity, spiky noise
#######################################################################################################################

Fig/compare-salt-spiky.v: Fig/Vrefl1D.v rtm/l2-rtm-salt-spiky.H rtm/l2-inv-iter200-salt-spiky.H rtm/hy-inv-iter200-salt-spiky.H
	< rtm/l2-rtm-salt-spiky.H Scale scale_to=1. | Graph ${gppar1} out=Fig/Vtmp1.v wantaxis1=0 curvelabel='RTM  ' title='(a)'  >/dev/null
	< rtm/l2-inv-iter200-salt-spiky.H Scale scale_to=1. | Graph ${gppar1} out=Fig/Vtmp2.v wantaxis1=0 curvelabel='L2   ' title='(b)' >/dev/null
	< rtm/hy-inv-iter200-salt-spiky.H Scale scale_to=1. | Graph  ${gppar1}  out=Fig/Vtmp3.v curvelabel='HPF  ' title='(c)' >/dev/null	
	vp_Overlay Fig/Vrefl1D.v Fig/Vtmp1.v> Fig/Vtop.v 
	vp_Overlay Fig/Vrefl1D.v Fig/Vtmp2.v> Fig/Vmid.v 
	vp_Overlay Fig/Vrefl1D.v Fig/Vtmp3.v> Fig/Vbot.v 
	vp_OverUnderAniso  Fig/Vtop.v Fig/Vmid.v Fig/Vbot.v > $@
	rm -f Vtop.v Vmid.v Vbot.v Fig/Vtmp*v

##################################################################################
